Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.deegree.ogcwebservices.wass.common
Class AuthenticationData

    java.lang.Object
      org.deegree.ogcwebservices.wass.common.AuthenticationData

    public class AuthenticationData

extends Object

Encapsulated data: authn:AuthenticationData element Namespace: http://www.gdi-nrw.org/authentication

Since:
  2.0
Version:
  2.0, $Revision: 18195 $, $Date: 2009-06-18 17:55:39 +0200 (Do, 18. Jun 2009) $
Author:
  Rutger Bezema, last edited by: $Author: mschneider $

Constructor Summary
`AuthenticationData(URN authenticationMethod, String credentials)`

Method Summary
`URN` | `getAuthenticationMethod()`
`String` | `getCredentials()`
`String` | `getPassword()`
`String` | `getUsername()`
`boolean` | `usesAnonymousAuthentication()`
`boolean` | `usesPasswordAuthentication()`
`boolean` | `usesSessionAuthentication()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AuthenticationData

    public AuthenticationData(URN authenticationMethod,
                              String credentials)

Parameters:
  `authenticationMethod` -
  `credentials` -

Method Detail

### getAuthenticationMethod

    public URN getAuthenticationMethod()

  Returns:
    the Method of authentication
  See Also:
    `URN`

### getCredentials

    public String getCredentials()

  Returns:
    the Credentials

### usesPasswordAuthentication

    public boolean usesPasswordAuthentication()

  Returns:
    true, if authenticationMethod is by password

### usesSessionAuthentication

    public boolean usesSessionAuthentication()

  Returns:
    true, if authenticationMethod is by session

### usesAnonymousAuthentication

    public boolean usesAnonymousAuthentication()

  Returns:
    true, if authenticationMethod is by anonymous

### getUsername

    public String getUsername()

  Returns:
    the username of the credentials or null, if authenticationMethod is not password

### getPassword

    public String getPassword()

  Returns:
    the password of the credentials or null, if authenticationMethod is not password

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

an open source project founded by lat/lon, Bonn, Germany.
For more information visit: http://www.deegree.org